<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPEFilmGrain.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d84/_p_p_e_film_grain_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPEFilmGrain.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d84/_p_p_e_film_grain_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html">    6</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a46280221c680edcb237f92a2e5d1b125">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a46280221c680edcb237f92a2e5d1b125">PARAM_INTENSITY</a> = 0;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PARAM_SHARPNESS</a> = 1;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PARAM_GRAINSIZE</a> = 2;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#aff343a216c2e9c7b1bafae79aeb18e30">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#aff343a216c2e9c7b1bafae79aeb18e30">PARAM_INTENSITYX0</a> = 3;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a9de9ba67a58e7359776f4b8cd979408d">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a9de9ba67a58e7359776f4b8cd979408d">PARAM_INTENSITYX1</a> = 4;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a609437cbe37f45ff823d6a637586fc10">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a609437cbe37f45ff823d6a637586fc10">PARAM_MONOCHROMATIC</a> = 5;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a401fd04f86a0a00df52f7b9bfe9019ee">   14</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a401fd04f86a0a00df52f7b9bfe9019ee">PARAM_SIMPLE</a> = 6;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#ab4ce56a6001f0f1cae6a500cb9910467">   15</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab4ce56a6001f0f1cae6a500cb9910467">PARAM_DISTORT</a> = 7;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#af12692c8621386161d252f838ee4d197">   16</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#af12692c8621386161d252f838ee4d197">PARAM_FREQUENCY</a> = 8;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">//static const int PARAM_NOISEMAP = 9;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a691e08872f8da8fcb24de433e7f9fb01">   19</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a691e08872f8da8fcb24de433e7f9fb01">L_1_NVG</a> = 100;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a0d4a0ea82ed3111d2f43afad7c71cc07">   20</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a0d4a0ea82ed3111d2f43afad7c71cc07">L_1_TOXIC_TINT</a> = 200;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a49f5a82859557f4942da2a83c0a5e193">   21</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a49f5a82859557f4942da2a83c0a5e193">L_2_NVG</a> = 100;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a7c634ede32782a8a524b69dc6a433163">   22</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a7c634ede32782a8a524b69dc6a433163">L_2_TOXIC_TINT</a> = 200;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#af1728daaf9dd7569a71307738c78674a">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dd/d86/class_p_p_e_film_grain.html#af1728daaf9dd7569a71307738c78674a">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.FilmGrain;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a4a349e81edc9fed0de5ce5ed8619cc0a">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/d86/class_p_p_e_film_grain.html#a4a349e81edc9fed0de5ce5ed8619cc0a">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/filmgrainNV&quot;</span>; <span class="comment">//TODO - differentiate between filmgrainNV?</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../dd/d86/class_p_p_e_film_grain.html#a3a9b13bb6e0635fa50a4b9223c2b8abd">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d86/class_p_p_e_film_grain.html#a3a9b13bb6e0635fa50a4b9223c2b8abd">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a46280221c680edcb237f92a2e5d1b125">PARAM_INTENSITY</a>,<span class="stringliteral">&quot;Intensity&quot;</span>,0.0,0.0,1.0);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PARAM_SHARPNESS</a>,<span class="stringliteral">&quot;Sharpness&quot;</span>,2.35,0.0,20.0);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PARAM_GRAINSIZE</a>,<span class="stringliteral">&quot;GrainSize&quot;</span>,2.75,1.0,9.0);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#aff343a216c2e9c7b1bafae79aeb18e30">PARAM_INTENSITYX0</a>,<span class="stringliteral">&quot;IntensityX0&quot;</span>,0.0,0.0,1.0);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a9de9ba67a58e7359776f4b8cd979408d">PARAM_INTENSITYX1</a>,<span class="stringliteral">&quot;IntensityX1&quot;</span>,0.0,0.0,1.0);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#a2af6b6240e545365c458d5863bf702ab">RegisterParameterScalarBool</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a609437cbe37f45ff823d6a637586fc10">PARAM_MONOCHROMATIC</a>,<span class="stringliteral">&quot;Monochromatic&quot;</span>,<span class="keyword">true</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#a2af6b6240e545365c458d5863bf702ab">RegisterParameterScalarBool</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#a401fd04f86a0a00df52f7b9bfe9019ee">PARAM_SIMPLE</a>,<span class="stringliteral">&quot;Simple&quot;</span>,<span class="keyword">false</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#a2af6b6240e545365c458d5863bf702ab">RegisterParameterScalarBool</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#ab4ce56a6001f0f1cae6a500cb9910467">PARAM_DISTORT</a>,<span class="stringliteral">&quot;Distort&quot;</span>,<span class="keyword">true</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../dd/d86/class_p_p_e_film_grain.html#af12692c8621386161d252f838ee4d197">PARAM_FREQUENCY</a>,<span class="stringliteral">&quot;Frequency&quot;</span>,20.0,1.0,1000.0);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="comment">//RegisterParameterTexture(PARAM_NOISEMAP,&quot;NoiseMap&quot;,&quot;{0B1C7AEDC4645C8A}System/textures/noise.edds&quot;);</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>}</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_a2af6b6240e545365c458d5863bf702ab"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#a2af6b6240e545365c458d5863bf702ab">PPEClassBase::RegisterParameterScalarBool</a></div><div class="ttdeci">protected void RegisterParameterScalarBool(int idx, string parameter_name, bool default_value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00059">PPEMatClassesBase.c:59</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html">PPEFilmGrain</a></div><div class="ttdoc">FilmGrain - PostProcessEffectType.FilmGrain.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00006">PPEFilmGrain.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a0d4a0ea82ed3111d2f43afad7c71cc07"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a0d4a0ea82ed3111d2f43afad7c71cc07">PPEFilmGrain::L_1_TOXIC_TINT</a></div><div class="ttdeci">static const int L_1_TOXIC_TINT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00020">PPEFilmGrain.c:20</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a3449ff3da790dddb352ae03beaf8b5db"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a3449ff3da790dddb352ae03beaf8b5db">PPEFilmGrain::PARAM_SHARPNESS</a></div><div class="ttdeci">static const int PARAM_SHARPNESS</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00009">PPEFilmGrain.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a3a9b13bb6e0635fa50a4b9223c2b8abd"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a3a9b13bb6e0635fa50a4b9223c2b8abd">PPEFilmGrain::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00034">PPEFilmGrain.c:34</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a401fd04f86a0a00df52f7b9bfe9019ee"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a401fd04f86a0a00df52f7b9bfe9019ee">PPEFilmGrain::PARAM_SIMPLE</a></div><div class="ttdeci">static const int PARAM_SIMPLE</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00014">PPEFilmGrain.c:14</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a46280221c680edcb237f92a2e5d1b125"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a46280221c680edcb237f92a2e5d1b125">PPEFilmGrain::PARAM_INTENSITY</a></div><div class="ttdeci">static const int PARAM_INTENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00008">PPEFilmGrain.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a49f5a82859557f4942da2a83c0a5e193"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a49f5a82859557f4942da2a83c0a5e193">PPEFilmGrain::L_2_NVG</a></div><div class="ttdeci">static const int L_2_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00021">PPEFilmGrain.c:21</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a4a349e81edc9fed0de5ce5ed8619cc0a"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a4a349e81edc9fed0de5ce5ed8619cc0a">PPEFilmGrain::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00029">PPEFilmGrain.c:29</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a609437cbe37f45ff823d6a637586fc10"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a609437cbe37f45ff823d6a637586fc10">PPEFilmGrain::PARAM_MONOCHROMATIC</a></div><div class="ttdeci">static const int PARAM_MONOCHROMATIC</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00013">PPEFilmGrain.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a691e08872f8da8fcb24de433e7f9fb01"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a691e08872f8da8fcb24de433e7f9fb01">PPEFilmGrain::L_1_NVG</a></div><div class="ttdeci">static const int L_1_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00019">PPEFilmGrain.c:19</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a7c634ede32782a8a524b69dc6a433163"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a7c634ede32782a8a524b69dc6a433163">PPEFilmGrain::L_2_TOXIC_TINT</a></div><div class="ttdeci">static const int L_2_TOXIC_TINT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00022">PPEFilmGrain.c:22</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_a9de9ba67a58e7359776f4b8cd979408d"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#a9de9ba67a58e7359776f4b8cd979408d">PPEFilmGrain::PARAM_INTENSITYX1</a></div><div class="ttdeci">static const int PARAM_INTENSITYX1</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00012">PPEFilmGrain.c:12</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_ab36ad167e1d38f99fa384ab307ce053e"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#ab36ad167e1d38f99fa384ab307ce053e">PPEFilmGrain::PARAM_GRAINSIZE</a></div><div class="ttdeci">static const int PARAM_GRAINSIZE</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00010">PPEFilmGrain.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_ab4ce56a6001f0f1cae6a500cb9910467"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#ab4ce56a6001f0f1cae6a500cb9910467">PPEFilmGrain::PARAM_DISTORT</a></div><div class="ttdeci">static const int PARAM_DISTORT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00015">PPEFilmGrain.c:15</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_af12692c8621386161d252f838ee4d197"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#af12692c8621386161d252f838ee4d197">PPEFilmGrain::PARAM_FREQUENCY</a></div><div class="ttdeci">static const int PARAM_FREQUENCY</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00016">PPEFilmGrain.c:16</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_af1728daaf9dd7569a71307738c78674a"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#af1728daaf9dd7569a71307738c78674a">PPEFilmGrain::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00024">PPEFilmGrain.c:24</a></div></div>
<div class="ttc" id="aclass_p_p_e_film_grain_html_aff343a216c2e9c7b1bafae79aeb18e30"><div class="ttname"><a href="../../dd/d86/class_p_p_e_film_grain.html#aff343a216c2e9c7b1bafae79aeb18e30">PPEFilmGrain::PARAM_INTENSITYX0</a></div><div class="ttdeci">static const int PARAM_INTENSITYX0</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d84/_p_p_e_film_grain_8c_source.html#l00011">PPEFilmGrain.c:11</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../d7/d84/_p_p_e_film_grain_8c.html">PPEFilmGrain.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
